# Class SkyTileRenderer

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SkyTileRenderer

public abstract class SkyTileRenderer extends Object
Defines the strategy for rendering HEALPix tiles to a graphics context.

Since:
  16 Sep 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyTileRenderer()`

## Method Summary

Modifier and Type
Method
Description
`static SkyTileRenderer`
`createRenderer(SkySurface surface, Rotation rotation, int viewLevel, double binFactor)`
Returns a SkyTileRenderer suitable for use on a given sky surface.
`abstract void`
`extendAuxRange(Ranger ranger, BinList.Result binResult)`
Modifies the range of aux values found within a given surface.
`static void`
`paintBins(Graphics g, BinList.Result binResult, double binFactor, SkySurface surface, SkyPixer skyPixer, Shader shader, Scaler scaler)`
Given a prepared data structure, paints the results it represents onto a graphics context appropriate for this drawing.
`abstract void`
`renderBins(Graphics g, BinList.Result binResult, Shader shader, Scaler scaler)`
Performs the rendering of a prepared bin list on a graphics surface.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyTileRenderer

public SkyTileRenderer()

## Method Details

### extendAuxRange

public abstract void extendAuxRange(Ranger ranger, BinList.Result binResult)
Modifies the range of aux values found within a given surface.

Parameters:
  `ranger` - range object to be modified
  `binResult` - tile bin contents

### renderBins

public abstract void renderBins(Graphics g, BinList.Result binResult, Shader shader, Scaler scaler)
Performs the rendering of a prepared bin list on a graphics surface.

Parameters:
  `g` - graphics context
  `binResult` - histogram containing sky pixel values
  `shader` - colour shading
  `scaler` - value scaling

### createRenderer

public static SkyTileRenderer createRenderer(SkySurface surface, Rotation rotation, int viewLevel, double binFactor)
Returns a SkyTileRenderer suitable for use on a given sky surface.

Parameters:
  `surface` - sky surface
  `rotation` - view rotation state
  `viewLevel` - HEALPix level for view
  `binFactor` - factor by which all bin values should be multiplied
Returns:
  tile renderer

### paintBins

public static void paintBins(Graphics g, BinList.Result binResult, double binFactor, SkySurface surface, SkyPixer skyPixer, Shader shader, Scaler scaler)
Given a prepared data structure, paints the results it represents onto a graphics context appropriate for this drawing.

Parameters:
  `g` - graphics context
  `binResult` - histogram containing sky pixel values
  `binFactor` - factor by which all bin values must be multiplied
  `surface` - plot surface
  `skyPixer` - maps sky positions to HEALPix indices
  `shader` - colour shading
  `scaler` - value scaling